when I try to install the lxr in my ubuntu11.10, but there are always some errors, and I have not learned perl, I think it is maybe a bug, so I email you and want to be helped!

zyqhi@lenovo:/usr/local/share/lxr$ ./genxref  -checkonly
Type of arg 1 to keys must be hash or array (not hash element) at lib/LXR/Common.pm line 114, near "}) "
Type of arg 1 to keys must be hash or array (not hash element) at lib/LXR/Common.pm line 348, near "}) "
Compilation failed in require at lib/LXR/Index.pm line 23.
BEGIN failed-compilation aborted at lib/LXR/Index.pm line 23.
Compilation failed in require at ./genxref line 27.
BEGIN failed-compilation aborted at ./genxref line 27.